<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="24dp">

    <TextView
        android:id="@+id/nameTv"
        android:layout_width="wrap_content"
        android:layout_height="0dp"
        android:gravity="center_vertical"
        android:includeFontPadding="false"
        android:textColor="@color/text_tertiary"
        android:textSize="@dimen/secondary_size"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:text="开发商" />

    <com.gh.gamecenter.common.view.FixMarqueeTextView
        android:id="@+id/infoTv"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginStart="8dp"
        android:layout_marginEnd="8dp"
        android:ellipsize="marquee"
        android:gravity="end|center_vertical"
        android:includeFontPadding="false"
        android:marqueeRepeatLimit="1"
        android:singleLine="true"
        android:textColor="@color/text_secondary"
        android:textSize="@dimen/secondary_size"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@+id/actionTv"
        app:layout_constraintStart_toEndOf="@+id/nameTv"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_goneMarginEnd="0dp"
        tools:text="米哈游" />

    <TextView
        android:id="@+id/actionTv"
        android:layout_width="wrap_content"
        android:layout_height="0dp"
        android:gravity="center_vertical"
        android:includeFontPadding="false"
        android:textColor="@color/text_theme"
        android:textSize="@dimen/secondary_size"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/infoTv"
        app:layout_constraintTop_toTopOf="parent"
        tools:text="加入"
        tools:visibility="visible" />

</androidx.constraintlayout.widget.ConstraintLayout>
